
%% check read-in for legacy version

restoredefaultpath
addpath(genpath('/Volumes/LNDG/Programs_Tools_Scripts/data_processing_repo/PLS_repo/2015-07-06_untouched'))

batch_plsgui /Users/kosciessa/Desktop/example.txt

%% compare original matrix and self-made version

originalVersion = load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/mri/task/analyses/B5_PLS_eventRelated/B_data/1117_allRuns_fMRIsessiondata.mat');
matrixVersion = load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/mri/task/analyses/B5_PLS_eventRelated/B_data/MeanBOLD_ER_PLS/meanBOLD_ER_1117_fMRIsessiondata.mat');

figure; imagesc(matrixVersion.st_datamat-originalVersion.st_datamat)

figure; imagesc(matrixVersion.st_datamat)
figure; imagesc(originalVersion.st_datamat)

originalVersion.create_datamat_info
matrixVersion.create_datamat_info

% both baselines here may be supoptimal if they occur at the very onset of
% the run or if they occur right before the event of interest due to
% hemodynamic lag

originalVersion.session_info % original version used 2 initial volumes as BL
matrixVersion.session_info % matrix version uses 1 initial volume as BL

% Based on the PLS documentation, the reference should be the initial
% onset, here approx. stim onset - 6s

% re: Relative Ref. Scan Onset refers the offset of the first reference scan from the first scan of each onset. Negative value means that reference scan starts before the first scan of each onset.

% It may be optimal to select the refence scans that approximately fall
% within the fixation period.